> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a tax form



## OpenAPI

````yaml openapi-owners.json GET /v1/tax_forms/{id}
openapi: 3.1.0
info:
  title: Yorlet Owners API
  description: APIs for managing owner payouts, payment runs, transfers, and tax forms.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/tax_forms/{id}:
    get:
      tags:
        - Tax Forms
      summary: Retrieve a tax form
      operationId: tax_forms_retrieve
      parameters:
        - schema:
            type: string
            description: The id identifier.
          required: true
          description: The id identifier.
          name: id
          in: path
      responses:
        '200':
          description: Returns a tax form object if a valid identifier was provided.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the object.
                  created:
                    type: number
                    description: >-
                      Time at which the object was created. Measured in seconds
                      since the Unix epoch.
                  account:
                    type: string
                    description: >-
                      The account that the object belongs to. Only returned if
                      the request is made with a valid Yorlet-Context header.
                  deleted:
                    type: boolean
                    default: false
                    description: Only returned if the object has been deleted.
                  object:
                    type: string
                    enum:
                      - tax_form
                  client_secret:
                    type: string
                    description: The client secret used to access the tax form.
                  currency:
                    type: string
                    enum:
                      - gbp
                      - usd
                      - eur
                      - sek
                    description: >-
                      Three-letter ISO currency code, in lowercase. Must be a
                      supported currency.
                    example: gbp
                  description:
                    type:
                      - string
                      - 'null'
                    description: >-
                      An arbitrary string attached to the object. Often useful
                      for displaying to users.
                  metadata:
                    type:
                      - object
                      - 'null'
                    additionalProperties:
                      type: string
                    description: >-
                      Set of key-value pairs that you can attach to an object.
                      This can be useful for storing additional information
                      about the object in a structured format.
                  nrl6:
                    type: object
                    properties:
                      collected:
                        type: integer
                        default: 0
                        description: >-
                          The total amount collected, in the smallest currency
                          unit.
                      refunded:
                        type: integer
                        default: 0
                        description: >-
                          The total amount refunded, in the smallest currency
                          unit.
                    description: NRL6 collected and refunded amounts.
                  nrlq:
                    type: object
                    properties:
                      collected:
                        type: integer
                        default: 0
                        description: >-
                          The total amount collected, in the smallest currency
                          unit.
                      refunded:
                        type: integer
                        default: 0
                        description: >-
                          The total amount refunded, in the smallest currency
                          unit.
                    description: NRLQ collected and refunded amounts.
                  nrly:
                    type: object
                    properties:
                      collected:
                        type: integer
                        default: 0
                        description: >-
                          The total amount collected, in the smallest currency
                          unit.
                      refunded:
                        type: integer
                        default: 0
                        description: >-
                          The total amount refunded, in the smallest currency
                          unit.
                    description: NRLY collected and refunded amounts.
                  options:
                    type: object
                    properties:
                      quarter:
                        type:
                          - integer
                          - 'null'
                        description: The tax quarter the form is for, if applicable.
                      year:
                        type: integer
                        description: The tax year the form is for.
                    required:
                      - quarter
                      - year
                    description: Options describing the period covered by the form.
                  owner:
                    anyOf:
                      - type: string
                      - type: object
                        additionalProperties: {}
                      - type: 'null'
                    description: The owner the tax form is for.
                  period:
                    type: object
                    properties:
                      end:
                        type:
                          - integer
                          - 'null'
                        description: The end of the period covered by the form.
                      start:
                        type:
                          - integer
                          - 'null'
                        description: The start of the period covered by the form.
                    required:
                      - end
                      - start
                    description: The period covered by the tax form.
                  status:
                    type: string
                    enum:
                      - ready
                      - needs_attention
                      - filed
                    description: The current status of the tax form.
                  type:
                    type: string
                    enum:
                      - nrl6
                      - nrlq
                      - nrly
                    description: The type of the tax form.
                required:
                  - id
                  - created
                  - object
                  - client_secret
                  - currency
                  - description
                  - options
                  - owner
                  - period
                  - status
                  - type
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````